com.lowagie.text.pdf

## Class PdfContents

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.PdfStream
      - - com.lowagie.text.pdf.PdfContents

-      class PdfContents
      extends PdfStream

  `PdfContents` is a `PdfStream` containing the contents (text + graphics) of a `PdfPage`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static byte[]` | `RESTORESTATE`
    `(package private) static byte[]` | `ROTATE180`
    `(package private) static byte[]` | `ROTATE270`
    `(package private) static byte[]` | `ROTATE90`
    `(package private) static byte[]` | `ROTATEFINAL`
    `(package private) static byte[]` | `SAVESTATE`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfStream

      `BEST_COMPRESSION, BEST_SPEED, compressed, compressionLevel, DEFAULT_COMPRESSION, ENDSTREAM, inputStream, inputStreamLength, NO_COMPRESSION, rawLength, ref, SIZESTREAM, STARTSTREAM, streamBytes, writer`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

      `CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfObject

      `ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfContents(PdfContentByte under, PdfContentByte content, PdfContentByte text, PdfContentByte secondContent, Rectangle page)` Constructs a `PdfContents`-object, containing text and general graphics.

  - ### Method Summary

    - ### Methods inherited from class com.lowagie.text.pdf.PdfStream

      `flateCompress, flateCompress, getRawLength, superToPdf, toPdf, toString, writeContent, writeLength`

    - ### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

      `contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size`

    - ### Methods inherited from class com.lowagie.text.pdf.PdfObject

      `canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SAVESTATE

          static final byte[] SAVESTATE

    - #### RESTORESTATE

          static final byte[] RESTORESTATE

    - #### ROTATE90

          static final byte[] ROTATE90

    - #### ROTATE180

          static final byte[] ROTATE180

    - #### ROTATE270

          static final byte[] ROTATE270

    - #### ROTATEFINAL

          static final byte[] ROTATEFINAL

  - ### Constructor Detail

    - #### PdfContents

          PdfContents(PdfContentByte under,
                     PdfContentByte content,
                     PdfContentByte text,
                     PdfContentByte secondContent,
                     Rectangle page)
                throws BadPdfFormatException

      Constructs a `PdfContents`-object, containing text and general graphics.
      Parameters:
        `under` - the direct content that is under all others
        `content` - the graphics in a page
        `text` - the text in a page
        `secondContent` - the direct content that is over all others
      Throws:
        `BadPdfFormatException` - on error